# Segment_snapshot_readback.tcl

proc run_test {} {
global %%Waiting
	set Snap_Count 4096
	set val 1
	set rtnd 0
	
	set to "Z:/AGATA_Digitiser_Database/Test_Scripts/simple_snaps"
	set now [date +%Y%h%d-%H.%M.%S]
	InsertLog " Start Time = $now "
	set cf [file join $to $now]
	set z [catch {set f [open $cf w]} x]
	if {$z} {
		InsertLog " File open failed : $cf  "
		return
	}
	Set_Register 0x00010000 0 A32
	Set_Register 0x00010000 1 A32
	InsertLog " Snapshot done using Sync pulse "
	WaitForUser "Continue to read back $Snap_Count words ?"
	set rtnd [ set %%Waiting ]
	if { $rtnd == -2 } {
		return
	}
	set channel 1 
	set snap_address [ expr  0x00010000 + ( $channel << 12 ) ]
	for { set i 0 } { $i < $Snap_Count } { incr i } {
		set a [ Get_Register $snap_address  A32 ]
		puts $f $a
		set snap_address [ expr $snap_address + 1 ] 
#		InsertLog "Data ([format "0x%04X" $a])"
	}
	set now [date +%Y%h%d-%H.%M.%S]
	InsertLog " End Time = $now "
	InsertLog "Script completed "
         close $f
}


run_test
# InsertLog "register at offset 2 has value [Get_Register 2]"
# potential Fpgas are 
#       "Core: Virtex for Segment ADC card 1" 
#       "Core: Virtex for Segment ADC card 2" 
#       "Core: Virtex for core ADCs" 
#       "Core: Main Board" 
#       "Segment: Virtex for Segment ADC card 1" 
#       "Segment: Virtex for Segment ADC card 2" 
#       "Segment: Virtex for Segment ADC card 3" 
#       "Segment: Virtex for Segment ADC card 4" 
#       "Segment: Main Board" 

#    syntax  Set_Register address_offset  value
#    syntax  Get_Register address_offset
#    returns value
# WaitForUser "Data synchronised ?"

# InsertLog "wait returned [set %%Waiting]"

#values of %%Waiting are  -1 (continue)   and   -2  (Abort)
