

#    tcl script included into bf.tcl to load optional packages

#    format     include   option
#      for each option a file  bf.$option.tcl  must exist

# N.B the # in the list below is MANDATORY
# The following loop looks for it to determine the end of the list element
#

set frametitle "AGATA Base Frame"
set icontitle  "Midas"


lappend tasklist "agata #"
lappend tasklist "quixda #"

lappend menu AGATA
lappend menu QUIX

set ACTION(AGATA) "AGATA \{inform agata start\}"
set MENU(AGATA)   ":button AGATA :label \"Digitizer Control\""

set ACTION(QUIX) "QUIX \{inform quixda start\}"
set MENU(QUIX)    ":button QUIX  :label \"Quixtream Acquisition\""

exclude XM
exclude HELP
