# Core_Delay.tcl
proc run_test {} {
global %%Waiting
set dg_status [click-status]
InsertLog "Check the Clock Delay steps"

if { [SelectFpga "Core: Virtex for core ADCs"] == -1 } then { 
	WaitForUser "No Core card available !" 
	return
}
set Delay_list { 0 10 15 35 70 290 575 1150 2300 4610 }
set i 0
foreach val { 0 1 128 64 32 8 4 2 256 512 } {
	Set_Register 13 $val
	WaitForUser "Delay [ lindex $Delay_list $i ]ps OK ?"
	incr i
	set rtnd [ set %%Waiting ]
	if { $rtnd == -2 } {
		break
	}

}
# Catch the abort exit
	Set_Register 13 $val
if { $rtnd == -2 } {
	InsertLog "Ended"
	return 
}

InsertLog "Script completed "


}
proc setup_offset {} {
	Set_Register 0x80 0
	Set_Register 0x81 0
	Set_Register 0x82 0
}
run_test
# InsertLog "register at offset 2 has value [Get_Register 2]"
# potential Fpgas are 
#       "Core: Virtex for Segment ADC card 1" 
#       "Core: Virtex for Segment ADC card 2" 
#       "Core: Virtex for core ADCs" 
#       "Core: Main Board" 
#       "Segment: Virtex for Segment ADC card 1" 
#       "Segment: Virtex for Segment ADC card 2" 
#       "Segment: Virtex for Segment ADC card 3" 
#       "Segment: Virtex for Segment ADC card 4" 
#       "Segment: Main Board" 

#    syntax  Set_Register address_offset  value
#    syntax  Get_Register address_offset
#    returns value
# WaitForUser "Data synchronised ?"

# InsertLog "wait returned [set %%Waiting]"

#values of %%Waiting are  -1 (continue)   and   -2  (Abort)

