proc run_test {} {

# select the right board
if { [SelectFpga "Core: Virtex for core ADCs"] == -1 } then { 
	WaitForUser "Can't connect to Core ADC" 
	return
}
# step through the leds on the test board
foreach val { 1 2 4 8 0x80 0x10 0x20 0x40 0x100 0x200 } {
	Set_Register 14 $val
	WaitForUser "LED $val on ?" 
}
}
# processes to help for later work
proc setup_offset {} {
	Set_Register 0x81 0
	Set_Register 0x82 0
}
# finally do the work ;-)
run_test

# WaitForUser "Data enabled, is the  ?"
#    syntax  Set_Register address_offset  value
# WaitForUser "Data synchronised ?"
# InsertLog "wait returned [set %%Waiting]"
# values of %%Waiting are  -1 (continue)   and   -2  (Abort)
# InsertLog "register at offset 2 has value [Get_Register 2]"
#    syntax  Get_Register address_offset
#    returns value

# potential Fpgas are 
#       "Core: Virtex for Segment ADC card 1" 
#       "Core: Virtex for Segment ADC card 2" 
#       "Core: Virtex for core ADCs" 
#       "Core: Main Board" 
#       "Segment: Virtex for Segment ADC card 1" 
#       "Segment: Virtex for Segment ADC card 2" 
#       "Segment: Virtex for Segment ADC card 3" 
#       "Segment: Virtex for Segment ADC card 4" 
#       "Segment: Main Board" 
