# Segment_Max_min_survey.tcl
proc run_test {} {
global %%Waiting
set dg_status [click-status]
InsertLog "Survey the max and min values for the 6 channels "

# zero the offsets 
setup_offset
# enable the data buffers and select low gain
Set_Register 7 0xFF00
# Enable the Inspection lines
Set_Register 4 7
for { set i 1 } { $i < 7 } { incr i 1 } {
	set reg_base [ expr   16 * $i  + 1  ]
# reset the registers 
	Set_Register $reg_base 8
	Set_Register $reg_base 4

	WaitForUser "Had long enough ?"
	set rtnd [ set %%Waiting ]
	if { $rtnd == -2 } {
		return
	}
	Set_Register $reg_base 0
	set raw_min [ Get_Register [ expr   $reg_base + 7 ] ]
	set raw_max [ Get_Register [ expr   $reg_base + 8 ] ]
	set sync_min [ Get_Register [ expr   $reg_base + 9 ] ]
	set sync_max [ Get_Register [ expr   $reg_base + 10 ] ]
	InsertLog "Raw: $raw_min , $raw_max Sync: $sync_min , $sync_max"
}

InsertLog "Script completed "


}
proc setup_offset {} {
	Set_Register 0x81 -470
	Set_Register 0x82 -470
	Set_Register 0x83 -480
	Set_Register 0x84 -480
	Set_Register 0x85 -480
	Set_Register 0x86 -480
	Set_Register 0x87 -480
}
run_test
# InsertLog "register at offset 2 has value [Get_Register 2]"
# potential Fpgas are 
#       "Core: Virtex for Segment ADC card 1" 
#       "Core: Virtex for Segment ADC card 2" 
#       "Core: Virtex for core ADCs" 
#       "Core: Main Board" 
#       "Segment: Virtex for Segment ADC card 1" 
#       "Segment: Virtex for Segment ADC card 2" 
#       "Segment: Virtex for Segment ADC card 3" 
#       "Segment: Virtex for Segment ADC card 4" 
#       "Segment: Main Board" 

#    syntax  Set_Register address_offset  value
#    syntax  Get_Register address_offset
#    returns value
# WaitForUser "Data synchronised ?"

# InsertLog "wait returned [set %%Waiting]"

#values of %%Waiting are  -1 (continue)   and   -2  (Abort)
