# Segment_bits.tcl
proc run_test {} {
global %%Waiting
set dg_status [click-status]
InsertLog "Check isolator paths"

# Enable the Inspection lines
Set_Register 0 0x0010
Set_Register 10 0x0302
InsertLog "SHDN_A state changed : On"
WaitForUser "SHDN_A led and LI1 OK ?"
set rtnd [ set %%Waiting ]
if { $rtnd == -2 } {
	return
}
Set_Register 0 0
InsertLog "SHDN_A state changed : Off"
WaitForUser "SHDN_A led and LI1 OK ?"
set rtnd [ set %%Waiting ]
if { $rtnd == -2 } {
	return
}
Set_Register 0 0x0020
InsertLog "SHDN_B state changed: On"
WaitForUser "SHDN_B led and LI2 OK ?"
set rtnd [ set %%Waiting ]
if { $rtnd == -2 } {
	return
}
Set_Register 0 0
InsertLog "SHDN_B state changed: Off"
WaitForUser "SHDN_B led and LI2 OK ?"
set rtnd [ set %%Waiting ]
if { $rtnd == -2 } {
	return
}
if { $rtnd == -2 } {
	InsertLog "Ended "
	return
}

Set_Register 10 0x0100
InsertLog "LI1 = SYNC from the core. LI2 = SYNC front panel"
WaitForUser "Signals OK ?"
set rtnd [ set %%Waiting ]
if { $rtnd == -2 } {
	return
}
if { $rtnd == -2 } {
	InsertLog "Ended "
	return
}

Set_Register 0 0

InsertLog "Script completed "


}
run_test
# InsertLog "register at offset 2 has value [Get_Register 2]"
# potential Fpgas are 
#       "Core: Virtex for Segment ADC card 1" 
#       "Core: Virtex for Segment ADC card 2" 
#       "Core: Virtex for core ADCs" 
#       "Core: Main Board" 
#       "Segment: Virtex for Segment ADC card 1" 
#       "Segment: Virtex for Segment ADC card 2" 
#       "Segment: Virtex for Segment ADC card 3" 
#       "Segment: Virtex for Segment ADC card 4" 
#       "Segment: Main Board" 

#    syntax  Set_Register address_offset  value
#    syntax  Get_Register address_offset
#    returns value
# WaitForUser "Data synchronised ?"

# InsertLog "wait returned [set %%Waiting]"

#values of %%Waiting are  -1 (continue)   and   -2  (Abort)
